Package org.apache.maven.scm.providers.cvslib.settings.io.xpp3

## Class CvsXpp3Reader

- java.lang.Object
- - org.apache.maven.scm.providers.cvslib.settings.io.xpp3.CvsXpp3Reader

    public class CvsXpp3Reader
    extends java.lang.Object

Class CvsXpp3Reader.

Version:
  $Revision$ $Date$

### Nested Class Summary

Nested Classes
`static interface` `CvsXpp3Reader.ContentTransformer`

### Field Summary

Fields
`CvsXpp3Reader.ContentTransformer` `contentTransformer` Field contentTransformer.

### Constructor Summary

Constructors
`CvsXpp3Reader()`
`CvsXpp3Reader​(CvsXpp3Reader.ContentTransformer contentTransformer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getAddDefaultEntities()` Returns the state of the "add default entities" flag.
`Settings` `read​(java.io.InputStream in)` Method read.
`Settings` `read​(java.io.InputStream in, boolean strict)` Method read.
`Settings` `read​(java.io.Reader reader)`
`Settings` `read​(java.io.Reader reader, boolean strict)`
`void` `setAddDefaultEntities​(boolean addDefaultEntities)` Sets the state of the "add default entities" flag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### contentTransformer

    public final CvsXpp3Reader.ContentTransformer contentTransformer

Field contentTransformer.

### Constructor Detail

#### CvsXpp3Reader

    public CvsXpp3Reader()

#### CvsXpp3Reader

    public CvsXpp3Reader​(CvsXpp3Reader.ContentTransformer contentTransformer)

### Method Detail

#### getAddDefaultEntities

    public boolean getAddDefaultEntities()

Returns the state of the "add default entities" flag.

Returns:
  boolean

#### read

    public Settings read​(java.io.Reader reader,
                         boolean strict)
                  throws java.io.IOException,
                         org.codehaus.plexus.util.xml.pull.XmlPullParserException

Parameters:
  `reader` -
  `strict` -
Returns:
  Settings
Throws:
  `java.io.IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
See Also:
  `ReaderFactory.newXmlReader(java.io.InputStream)`

#### read

    public Settings read​(java.io.Reader reader)
                  throws java.io.IOException,
                         org.codehaus.plexus.util.xml.pull.XmlPullParserException

Parameters:
  `reader` -
Returns:
  Settings
Throws:
  `java.io.IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
See Also:
  `ReaderFactory.newXmlReader(java.io.InputStream)`

#### read

    public Settings read​(java.io.InputStream in,
                         boolean strict)
                  throws java.io.IOException,
                         org.codehaus.plexus.util.xml.pull.XmlPullParserException

Method read.

Parameters:
  `in` -
  `strict` -
Returns:
  Settings
Throws:
  `java.io.IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

#### read

    public Settings read​(java.io.InputStream in)
                  throws java.io.IOException,
                         org.codehaus.plexus.util.xml.pull.XmlPullParserException

Method read.

Parameters:
  `in` -
Returns:
  Settings
Throws:
  `java.io.IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

#### setAddDefaultEntities

    public void setAddDefaultEntities​(boolean addDefaultEntities)

Sets the state of the "add default entities" flag.

Parameters:
  `addDefaultEntities` -